Description

Part 1
Simple event-based chat program allowing sending and receiving of chat messages.
source:trunk/tutorials/chat-1
    -  Slides ✓
    -  C++ ✓
    -  Python ✓
    -  Java ✓
    -  Common Lisp ✓

Part 2
RPC-based avatar image download.
source:trunk/tutorials/chat-2
    -  Slides ✓
    -  C++ ✓
    -  Python ✓
    -  Java ✓
    -  Common Lisp ✓

Associated revisions
Revision 8a9098fa - 10/15/2011 08:46 PM - J. Moringen

initial version of chat tutorial refs #638

Revision 5274689c - 10/16/2011 08:59 PM - J. Moringen
Allow callbacks without request param in src/rsb/patterns/Server.h
refs #638
    -  src/rsb/patterns/Server.h: added a template specialization of

  Server::Callaback for RequestType = void to improve support for
  methods that do not take an argument

Revision af290dab - 10/16/2011 09:42 PM - J. Moringen

initial import of "chat-2" part of the tutorial refs #638

Revision db7011e9 - 10/18/2011 06:06 AM - J. Moringen
Initial version of tutorial slides in slides/slides.org
refs #638
    -  slides/slides.org: new file; initial version of tutorial slides with

  brief descriptions of "chat-1" and "chat-2" exercises
    -  slides/slides.tex: generated
    -  slides/slides.pdf: generated

History
#1 - 10/15/2011 08:45 PM - J. Moringen
- Description updated

#2 - 10/15/2011 08:49 PM - J. Moringen
- Description updated
- % Done changed from 0 to 40

#3 - 10/15/2011 08:50 PM - J. Moringen
- Description updated

#4 - 10/16/2011 09:43 PM - J. Moringen
- Description updated
- % Done changed from 40 to 70

#5 - 10/18/2011 12:25 AM - J. Moringen
- Description updated
- % Done changed from 70 to 90

Thanks to flier

#6 - 10/18/2011 06:06 AM - J. Moringen
- Description updated
- % Done changed from 90 to 100

#7 - 02/07/2012 05:40 PM - J. Moringen
- Status changed from In Progress to Closed
